- Request
- Path parameters
- Query parameters
- Body
- ImageIn
- QuestionDataSourceParam
- QuestionHintSource
- ValidationRequiredOut
- ValidationMinStringOut
- ValidationMaxStringOut
- ValidationEmailStringOut
- ValidationUrlStringOut
- ValidationPhoneStringOut
- ValidationInnStringOut
- ValidationDecimalStringOut
- ValidationRussianStringOut
- ValidationRegexpStringOut
- ValidationExternalOut
- QuestionQuizItemIn
- QuestionStringIn
- QuestionBooleanIn
- ValidationMinIntegerOut
- ValidationMaxIntegerOut
- QuestionIntegerIn
- ValidationMaxSizeFileOut
- ValidationMaxCountFileOut
- QuestionFileIn
- QuestionCommentIn
- ValidationMinDateOut
- ValidationMaxDateOut
- QuestionDateIn
- QuestionDateRangeIn
- ValidationMinPaymentOut
- ValidationMaxPaymentOut
- QuestionPaymentIn
- WidgetType
- QuestionEnumItemIn
- QuestionModifyChoicesType
- ValidationEnumSingleOut
- QuestionEnumIn
- QuestionDataSource
- QuestionSuggestIn
- QuestionMatrixRowIn
- QuestionMatrixIn
- QuestionSeriesIn
- Responses
- 201 Created
- Body
- OperatorType
- ConditionItemType
- ConditionType
- ConditionItemOut
- ConditionOut
- FileCheckStatusType
- ImageOut
- QuestionQuizItemOut
- QuestionStringOut
- QuestionBooleanOut
- QuestionIntegerOut
- QuestionFileOut
- QuestionCommentOut
- QuestionDateOut
- QuestionDateRangeOut
- QuestionPaymentOut
- QuestionEnumOut
- QuestionSuggestOut
- QuestionMatrixRowOut
- QuestionMatrixOut
- QuestionOut
- QuestionSeriesOut
Create question
Creates a question.
The new question is added to the end of the form's question list.
After creation, it can be moved.
Parameters:
- survey_id: form ID
- with_slugs: replace numeric question and answer option IDs with slugs (default: numeric IDs)
Request
POST
https://api.forms.yandex.net/v1/surveys/{survey_id}/questions
Path parameters
|
Name |
Description |
|
survey_id |
Type: string Pattern: Example: `` |
Query parameters
|
Name |
Description |
|
with_slugs |
Type: boolean Default: |
Body
application/json
{
"label": "example",
"comment": "example",
"placeholder": "example",
"hidden": true,
"slug": "example",
"image": {
"id": 0,
"links": {},
"name": "example"
},
"type": "string",
"initial": "example",
"multiline": true,
"hint_source": {
"name": "example",
"params": [
{}
]
},
"validators": [
{
"type": "required"
}
],
"has_quiz": true,
"quiz_items": [
{
"label": "example",
"correct": true,
"scores": 0.5
}
]
}
Any of 12 types
-
QuestionStringIn
Type: QuestionStringIn
Example
{ "label": "example", "comment": "example", "placeholder": "example", "hidden": true, "slug": "example", "image": { "id": 0, "links": {}, "name": "example" }, "type": "string", "initial": "example", "multiline": true, "hint_source": { "name": "example", "params": [ { "type": "example", "value": "example" } ] }, "validators": [ { "type": "required" } ], "has_quiz": true, "quiz_items": [ { "label": "example", "correct": true, "scores": 0.5 } ] } -
QuestionBooleanIn
Type: QuestionBooleanIn
Example
{ "label": "example", "comment": "example", "placeholder": "example", "hidden": true, "slug": "example", "image": { "id": 0, "links": {}, "name": "example" }, "type": "boolean", "initial": true, "validators": [ { "type": "required" } ] } -
QuestionIntegerIn
Type: QuestionIntegerIn
Example
{ "label": "example", "comment": "example", "placeholder": "example", "hidden": true, "slug": "example", "image": { "id": 0, "links": {}, "name": "example" }, "type": "integer", "initial": 0, "validators": [ { "type": "required" } ] } -
QuestionFileIn
Type: QuestionFileIn
Example
{ "label": "example", "comment": "example", "placeholder": "example", "hidden": true, "slug": "example", "image": { "id": 0, "links": {}, "name": "example" }, "type": "file", "validators": [ { "type": "required" } ] } -
QuestionCommentIn
Type: QuestionCommentIn
Example
{ "label": "example", "comment": "example", "placeholder": "example", "hidden": true, "slug": "example", "image": { "id": 0, "links": {}, "name": "example" }, "type": "comment", "header": true } -
QuestionDateIn
Type: QuestionDateIn
Example
{ "label": "example", "comment": "example", "placeholder": "example", "hidden": true, "slug": "example", "image": { "id": 0, "links": {}, "name": "example" }, "type": "date", "validators": [ { "type": "required" } ] } -
QuestionDateRangeIn
Type: QuestionDateRangeIn
Example
{ "label": "example", "comment": "example", "placeholder": "example", "hidden": true, "slug": "example", "image": { "id": 0, "links": {}, "name": "example" }, "type": "daterange", "validators": [ { "type": "required" } ] } -
QuestionPaymentIn
Type: QuestionPaymentIn
Example
{ "label": "example", "comment": "example", "placeholder": "example", "hidden": true, "slug": "example", "image": { "id": 0, "links": {}, "name": "example" }, "type": "payment", "fixed": true, "account_id": "example", "initial": 0, "validators": [ { "type": "required" } ] } -
QuestionEnumIn
Type: QuestionEnumIn
Example
{ "label": "example", "comment": "example", "placeholder": "example", "hidden": true, "slug": "example", "image": { "id": 0, "links": {}, "name": "example" }, "type": "enum", "widget": "radio", "items": [ { "id": 0, "slug": "example", "label": "", "hidden": true, "image": null, "correct": true, "scores": 0.5 } ], "initial": [ null ], "modify_choices": "", "validators": [ { "type": "required" } ], "show_first": true, "show_suggest": true, "has_quiz": true } -
QuestionSuggestIn
Type: QuestionSuggestIn
Example
{ "label": "example", "comment": "example", "placeholder": "example", "hidden": true, "slug": "example", "image": { "id": 0, "links": {}, "name": "example" }, "type": "suggest", "data_source": { "name": "example", "params": [ { "type": "example", "value": "example" } ] }, "multichoice": true, "validators": [ { "type": "required" } ] } -
QuestionMatrixIn
Type: QuestionMatrixIn
Example
{ "label": "example", "comment": "example", "placeholder": "example", "hidden": true, "slug": "example", "image": { "id": 0, "links": {}, "name": "example" }, "type": "matrix", "rows": [ { "id": 0, "slug": "example", "label": "example" } ], "columns": [ null ], "validators": [ { "type": "required" } ] } -
QuestionSeriesIn
Type: QuestionSeriesIn
Example
{ "label": "example", "comment": "example", "placeholder": "example", "hidden": true, "slug": "example", "image": { "id": 0, "links": {}, "name": "example" }, "type": "series" }
ImageIn
|
Name |
Description |
||
|
id |
Type: integer Image ID |
||
|
links |
Type: Links
List of links to different image sizes Example
|
||
|
name |
Type: string Original image file name Example: |
Example
{
"id": 0,
"links": {},
"name": "example"
}
QuestionDataSourceParam
|
Name |
Description |
|
type |
Type: string Parameter type Example: |
|
value |
Type: string Parameter value Example: |
Example
{
"type": "example",
"value": "example"
}
QuestionHintSource
|
Name |
Description |
|
name |
Type: string Name for the data source Example: |
|
params |
Type: QuestionDataSourceParam[] Parameters for the data source Example
|
Example
{
"name": "example",
"params": [
{
"type": "example",
"value": "example"
}
]
}
ValidationRequiredOut
|
Name |
Description |
|
type |
Type: string Required for filling Const: Example: |
Example
{
"type": "required"
}
ValidationMinStringOut
|
Name |
Description |
|
type |
Type: string Minimum number of characters Const: Example: |
|
value |
Type: integer Validation value |
Example
{
"type": "min",
"value": 0
}
ValidationMaxStringOut
|
Name |
Description |
|
type |
Type: string Maximum number of characters Const: Example: |
|
value |
Type: integer Validation value |
Example
{
"type": "max",
"value": 0
}
ValidationEmailStringOut
|
Name |
Description |
|
type |
Type: string Email validation Const: Example: |
Example
{
"type": "email"
}
ValidationUrlStringOut
|
Name |
Description |
|
type |
Type: string URL validation Const: Example: |
Example
{
"type": "url"
}
ValidationPhoneStringOut
|
Name |
Description |
|
type |
Type: string Phone number validation Const: Example: |
Example
{
"type": "phone"
}
ValidationInnStringOut
|
Name |
Description |
|
type |
Type: string TIN (INN) validation Const: Example: |
Example
{
"type": "inn"
}
ValidationDecimalStringOut
|
Name |
Description |
|
type |
Type: string Decimal number validation Const: Example: |
Example
{
"type": "decimal"
}
ValidationRussianStringOut
|
Name |
Description |
|
type |
Type: string Russian letters validation Const: Example: |
Example
{
"type": "russian"
}
ValidationRegexpStringOut
|
Name |
Description |
|
type |
Type: string Regular expression validation Const: Example: |
|
value |
Type: string Validation value Example: |
Example
{
"type": "regexp",
"value": "example"
}
ValidationExternalOut
|
Name |
Description |
|
type |
Type: string Validation via external endpoint Const: Example: |
Example
{
"type": "external"
}
QuestionQuizItemIn
|
Name |
Description |
|
label |
Type: string Answer option text Example: |
|
scores |
Type: number Points for the answer |
|
correct |
Type: boolean Correct answer option flag |
Example
{
"label": "example",
"correct": true,
"scores": 0.5
}
QuestionStringIn
|
Name |
Description |
|
comment |
Type: string Question hint Max length: Example: |
|
has_quiz |
Type: boolean Quiz presence flag |
|
hidden |
Type: boolean Hidden question flag |
|
hint_source |
All of 1 type
Question hint source Example
|
|
image |
All of 1 type
Question image Example
|
|
initial |
Type: string Initial value Example: |
|
label |
Type: string Question name Max length: Example: |
|
multiline |
Type: boolean Multiline text flag |
|
placeholder |
Type: string Placeholder text for the question Max length: Example: |
|
quiz_items |
Type: QuestionQuizItemIn[] List of quiz answer options Example
|
|
slug |
Type: string Question slug Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 11 types
List of validators Example
|
Example
{
"label": "example",
"comment": "example",
"placeholder": "example",
"hidden": true,
"slug": "example",
"image": {
"id": 0,
"links": {},
"name": "example"
},
"type": "string",
"initial": "example",
"multiline": true,
"hint_source": {
"name": "example",
"params": [
{
"type": "example",
"value": "example"
}
]
},
"validators": [
{
"type": "required"
}
],
"has_quiz": true,
"quiz_items": [
{
"label": "example",
"correct": true,
"scores": 0.5
}
]
}
QuestionBooleanIn
|
Name |
Description |
|
comment |
Type: string Question hint Max length: Example: |
|
hidden |
Type: boolean Hidden question flag |
|
image |
All of 1 type
Question image Example
|
|
initial |
Type: boolean Initial value |
|
label |
Type: string Question name Max length: Example: |
|
placeholder |
Type: string Placeholder text for the question Max length: Example: |
|
slug |
Type: string Question slug Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 2 types
List of validators Example
|
Example
{
"label": "example",
"comment": "example",
"placeholder": "example",
"hidden": true,
"slug": "example",
"image": {
"id": 0,
"links": {},
"name": "example"
},
"type": "boolean",
"initial": true,
"validators": [
{
"type": "required"
}
]
}
ValidationMinIntegerOut
|
Name |
Description |
|
type |
Type: string Minimum value Const: Example: |
|
value |
Type: integer Validation value |
Example
{
"type": "min",
"value": 0
}
ValidationMaxIntegerOut
|
Name |
Description |
|
type |
Type: string Maximum value Const: Example: |
|
value |
Type: integer Validation value |
Example
{
"type": "max",
"value": 0
}
QuestionIntegerIn
|
Name |
Description |
|
comment |
Type: string Question hint Max length: Example: |
|
hidden |
Type: boolean Hidden question flag |
|
image |
All of 1 type
Question image Example
|
|
initial |
Type: integer Initial value |
|
label |
Type: string Question name Max length: Example: |
|
placeholder |
Type: string Placeholder text for the question Max length: Example: |
|
slug |
Type: string Question slug Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 4 types
List of validators Example
|
Example
{
"label": "example",
"comment": "example",
"placeholder": "example",
"hidden": true,
"slug": "example",
"image": {
"id": 0,
"links": {},
"name": "example"
},
"type": "integer",
"initial": 0,
"validators": [
{
"type": "required"
}
]
}
ValidationMaxSizeFileOut
|
Name |
Description |
|
type |
Type: string Maximum file size, MB Const: Example: |
|
value |
Type: integer Validation value Max value: |
Example
{
"type": "size",
"value": 20
}
ValidationMaxCountFileOut
|
Name |
Description |
|
type |
Type: string Maximum number of files Const: Example: |
|
value |
Type: integer Validation value Max value: |
Example
{
"type": "count",
"value": 20
}
QuestionFileIn
|
Name |
Description |
|
comment |
Type: string Question hint Max length: Example: |
|
hidden |
Type: boolean Hidden question flag |
|
image |
All of 1 type
Question image Example
|
|
label |
Type: string Question name Max length: Example: |
|
placeholder |
Type: string Placeholder text for the question Max length: Example: |
|
slug |
Type: string Question slug Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 4 types
List of validators Example
|
Example
{
"label": "example",
"comment": "example",
"placeholder": "example",
"hidden": true,
"slug": "example",
"image": {
"id": 0,
"links": {},
"name": "example"
},
"type": "file",
"validators": [
{
"type": "required"
}
]
}
QuestionCommentIn
|
Name |
Description |
|
comment |
Type: string Question hint Max length: Example: |
|
header |
Type: boolean Header flag |
|
hidden |
Type: boolean Hidden question flag |
|
image |
All of 1 type
Question image Example
|
|
label |
Type: string Question name Max length: Example: |
|
placeholder |
Type: string Placeholder text for the question Max length: Example: |
|
slug |
Type: string Question slug Example: |
|
type |
Type: string Question type Default: Const: |
Example
{
"label": "example",
"comment": "example",
"placeholder": "example",
"hidden": true,
"slug": "example",
"image": {
"id": 0,
"links": {},
"name": "example"
},
"type": "comment",
"header": true
}
ValidationMinDateOut
|
Name |
Description |
|
type |
Type: string Minimum date Const: Example: |
|
value |
Type: string<date> Validation value Example: |
Example
{
"type": "min",
"value": "2025-01-01"
}
ValidationMaxDateOut
|
Name |
Description |
|
type |
Type: string Maximum date Const: Example: |
|
value |
Type: string<date> Validation value Example: |
Example
{
"type": "max",
"value": "2025-01-01"
}
QuestionDateIn
|
Name |
Description |
|
comment |
Type: string Question hint Max length: Example: |
|
hidden |
Type: boolean Hidden question flag |
|
image |
All of 1 type
Question image Example
|
|
label |
Type: string Question name Max length: Example: |
|
placeholder |
Type: string Placeholder text for the question Max length: Example: |
|
slug |
Type: string Question slug Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 4 types
List of validators Example
|
Example
{
"label": "example",
"comment": "example",
"placeholder": "example",
"hidden": true,
"slug": "example",
"image": {
"id": 0,
"links": {},
"name": "example"
},
"type": "date",
"validators": [
{
"type": "required"
}
]
}
QuestionDateRangeIn
|
Name |
Description |
|
comment |
Type: string Question hint Max length: Example: |
|
hidden |
Type: boolean Hidden question flag |
|
image |
All of 1 type
Question image Example
|
|
label |
Type: string Question name Max length: Example: |
|
placeholder |
Type: string Placeholder text for the question Max length: Example: |
|
slug |
Type: string Question slug Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 4 types
List of validators Example
|
Example
{
"label": "example",
"comment": "example",
"placeholder": "example",
"hidden": true,
"slug": "example",
"image": {
"id": 0,
"links": {},
"name": "example"
},
"type": "daterange",
"validators": [
{
"type": "required"
}
]
}
ValidationMinPaymentOut
|
Name |
Description |
|
type |
Type: string Minimum amount Const: Example: |
|
value |
Type: integer Validation value |
Example
{
"type": "min",
"value": 0
}
ValidationMaxPaymentOut
|
Name |
Description |
|
type |
Type: string Maximum amount Const: Example: |
|
value |
Type: integer Validation value |
Example
{
"type": "max",
"value": 0
}
QuestionPaymentIn
|
Name |
Description |
|
account_id |
Type: string Wallet number for payment Example: |
|
comment |
Type: string Question hint Max length: Example: |
|
fixed |
Type: boolean Allow changing the payment amount |
|
hidden |
Type: boolean Hidden question flag |
|
image |
All of 1 type
Question image Example
|
|
initial |
Type: integer Initial value |
|
label |
Type: string Question name Max length: Example: |
|
placeholder |
Type: string Placeholder text for the question Max length: Example: |
|
slug |
Type: string Question slug Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 3 types
List of validators Example
|
Example
{
"label": "example",
"comment": "example",
"placeholder": "example",
"hidden": true,
"slug": "example",
"image": {
"id": 0,
"links": {},
"name": "example"
},
"type": "payment",
"fixed": true,
"account_id": "example",
"initial": 0,
"validators": [
{
"type": "required"
}
]
}
WidgetType
An enumeration.
Type: string
Enum: radio, checkbox, dropdown, stars, onerow
QuestionEnumItemIn
|
Name |
Description |
|
correct |
Type: boolean Correct answer option flag |
|
hidden |
Type: boolean Hidden answer option flag |
|
id |
Type: integer Answer option ID |
|
image |
All of 1 type
Answer option image Example
|
|
label |
Type: string Answer option text Default: `` |
|
scores |
Type: number Points for correct answer |
|
slug |
Type: string Answer option slug (defaults to ID) Example: |
Example
{
"id": 0,
"slug": "example",
"label": "",
"hidden": true,
"image": {
"id": 0,
"links": {},
"name": "example"
},
"correct": true,
"scores": 0.5
}
QuestionModifyChoicesType
An enumeration.
Type: string
Enum: ``, natural, sort, shuffle
ValidationEnumSingleOut
|
Name |
Description |
|
type |
Type: string Value must be single Const: Example: |
Example
{
"type": "single"
}
QuestionEnumIn
|
Name |
Description |
|
comment |
Type: string Question hint Max length: Example: |
|
has_quiz |
Type: boolean Quiz presence flag |
|
hidden |
Type: boolean Hidden question flag |
|
image |
All of 1 type
Question image Example
|
|
initial |
Type: QuestionEnumItemIn[] Initial value Example
|
|
items |
Type: QuestionEnumItemIn[] List of items Example
|
|
label |
Type: string Question name Max length: Example: |
|
modify_choices |
All of 1 type
Item sort type Example: `` |
|
placeholder |
Type: string Placeholder text for the question Max length: Example: |
|
show_first |
Type: boolean Whether to show the first value (for dropdown list) |
|
show_suggest |
Type: boolean Show suggestions for options |
|
slug |
Type: string Question slug Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 3 types
List of validators Example
|
|
widget |
All of 1 type
Question display type Default: |
Example
{
"label": "example",
"comment": "example",
"placeholder": "example",
"hidden": true,
"slug": "example",
"image": {
"id": 0,
"links": {},
"name": "example"
},
"type": "enum",
"widget": "radio",
"items": [
{
"id": 0,
"slug": "example",
"label": "",
"hidden": true,
"image": null,
"correct": true,
"scores": 0.5
}
],
"initial": [
null
],
"modify_choices": "",
"validators": [
{
"type": "required"
}
],
"show_first": true,
"show_suggest": true,
"has_quiz": true
}
QuestionDataSource
|
Name |
Description |
|
name |
Type: string Data source name Example: |
|
params |
Type: QuestionDataSourceParam[] Parameters for the data source Example
|
Example
{
"name": "example",
"params": [
{
"type": "example",
"value": "example"
}
]
}
QuestionSuggestIn
|
Name |
Description |
|
comment |
Type: string Question hint Max length: Example: |
|
data_source |
All of 1 type
Data source Example
|
|
hidden |
Type: boolean Hidden question flag |
|
image |
All of 1 type
Question image Example
|
|
label |
Type: string Question name Max length: Example: |
|
multichoice |
Type: boolean Enable multiple selection |
|
placeholder |
Type: string Placeholder text for the question Max length: Example: |
|
slug |
Type: string Question slug Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 2 types
List of validators Example
|
Example
{
"label": "example",
"comment": "example",
"placeholder": "example",
"hidden": true,
"slug": "example",
"image": {
"id": 0,
"links": {},
"name": "example"
},
"type": "suggest",
"data_source": {
"name": "example",
"params": [
{
"type": "example",
"value": "example"
}
]
},
"multichoice": true,
"validators": [
{
"type": "required"
}
]
}
QuestionMatrixRowIn
|
Name |
Description |
|
id |
Type: integer Scale rating element ID |
|
label |
Type: string Scale rating element text Example: |
|
slug |
Type: string Scale rating element slug Example: |
Example
{
"id": 0,
"slug": "example",
"label": "example"
}
QuestionMatrixIn
|
Name |
Description |
|
columns |
Type: QuestionMatrixRowIn[] List of columns Example
|
|
comment |
Type: string Question hint Max length: Example: |
|
hidden |
Type: boolean Hidden question flag |
|
image |
All of 1 type
Question image Example
|
|
label |
Type: string Question name Max length: Example: |
|
placeholder |
Type: string Placeholder text for the question Max length: Example: |
|
rows |
Type: QuestionMatrixRowIn[] List of rows Example
|
|
slug |
Type: string Question slug Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 2 types
List of validators Example
|
Example
{
"label": "example",
"comment": "example",
"placeholder": "example",
"hidden": true,
"slug": "example",
"image": {
"id": 0,
"links": {},
"name": "example"
},
"type": "matrix",
"rows": [
{
"id": 0,
"slug": "example",
"label": "example"
}
],
"columns": [
null
],
"validators": [
{
"type": "required"
}
]
}
QuestionSeriesIn
|
Name |
Description |
|
comment |
Type: string Question hint Max length: Example: |
|
hidden |
Type: boolean Hidden question flag |
|
image |
All of 1 type
Question image Example
|
|
label |
Type: string Question name Max length: Example: |
|
placeholder |
Type: string Placeholder text for the question Max length: Example: |
|
slug |
Type: string Question slug Example: |
|
type |
Type: string Question type Default: Const: |
Example
{
"label": "example",
"comment": "example",
"placeholder": "example",
"hidden": true,
"slug": "example",
"image": {
"id": 0,
"links": {},
"name": "example"
},
"type": "series"
}
Responses
201 Created
Created
Body
application/json
{
"id": 0,
"label": "example",
"comment": "example",
"placeholder": "example",
"slug": "example",
"hidden": false,
"conditions": [
{
"id": 0,
"operator": "example",
"items": [
null
]
}
],
"image": {
"id": 0,
"links": {},
"name": "example",
"check_status": null
},
"type": "string",
"initial": "example",
"multiline": true,
"hint_source": {
"name": "example",
"params": [
null
]
},
"validators": [
{}
],
"has_quiz": true,
"quiz_items": [
{
"label": "example",
"correct": true,
"scores": 0.5
}
]
}
Any of 2 types
-
QuestionOut
Type: QuestionOut
Question data
Example
{ "id": 0, "label": "example", "comment": "example", "placeholder": "example", "slug": "example", "hidden": false, "conditions": [ { "id": 0, "operator": "example", "items": [ {} ] } ], "image": { "id": 0, "links": {}, "name": "example", "check_status": "check" }, "type": "string", "initial": "example", "multiline": true, "hint_source": { "name": "example", "params": [ {} ] }, "validators": [ { "type": "required" } ], "has_quiz": true, "quiz_items": [ { "label": "example", "correct": true, "scores": 0.5 } ] } -
QuestionSeriesOut
Type: QuestionSeriesOut
Example
{ "id": 0, "label": "example", "comment": "example", "placeholder": "example", "slug": "example", "hidden": false, "conditions": [ { "id": 0, "operator": "example", "items": [ { "operator": null, "type": null, "condition": null, "question": "example", "value": "example" } ] } ], "image": { "id": 0, "links": {}, "name": "example", "check_status": "check" }, "type": "series", "items": [ { "id": 0, "label": "example", "comment": "example", "placeholder": "example", "slug": "example", "hidden": false, "conditions": [ null ], "image": null, "type": "string", "initial": "example", "multiline": true, "hint_source": null, "validators": [ null ], "has_quiz": true, "quiz_items": [ {} ] } ] }
OperatorType
An enumeration.
Type: string
Enum: and, or
ConditionItemType
An enumeration.
Type: string
Enum: question, language, origin
ConditionType
An enumeration.
Type: string
Enum: eq, neq, lt, gt
ConditionItemOut
|
Name |
Description |
|
condition |
All of 1 type
Comparison operator Example: |
|
operator |
All of 1 type
Operator between conditions Example: |
|
type |
All of 1 type
Condition type Example: |
|
question |
Type: string Question slug Example: |
|
value |
Type: string Condition value Max length: Example: |
Example
{
"operator": "and",
"type": "question",
"condition": "eq",
"question": "example",
"value": "example"
}
ConditionOut
|
Name |
Description |
|
id |
Type: integer Condition group ID |
|
operator |
Type: string Condition group operator Example: |
|
items |
Type: ConditionItemOut[] List of conditions in the group Example
|
Example
{
"id": 0,
"operator": "example",
"items": [
{
"operator": "and",
"type": "question",
"condition": "eq",
"question": "example",
"value": "example"
}
]
}
FileCheckStatusType
An enumeration.
Type: string
Enum: check, ready, infected, error, deleted
ImageOut
|
Name |
Description |
||
|
links |
Type: Links
List of links to different image sizes Example
|
||
|
check_status |
All of 1 type
Image upload status Example: |
||
|
id |
Type: integer Image ID |
||
|
name |
Type: string Original image file name Example: |
Example
{
"id": 0,
"links": {},
"name": "example",
"check_status": "check"
}
QuestionQuizItemOut
|
Name |
Description |
|
correct |
Type: boolean Correct answer option flag |
|
label |
Type: string Answer option text Example: |
|
scores |
Type: number Points for the answer |
Example
{
"label": "example",
"correct": true,
"scores": 0.5
}
QuestionStringOut
|
Name |
Description |
|
id |
Type: integer Question ID |
|
label |
Type: string Question label Example: |
|
multiline |
Type: boolean Multiline text flag |
|
slug |
Type: string Question slug Example: |
|
comment |
Type: string Question hint Example: |
|
conditions |
Type: ConditionOut[] Conditions for the question Example
|
|
has_quiz |
Type: boolean Test presence flag |
|
hidden |
Type: boolean Hidden question flag Default: |
|
hint_source |
All of 1 type
Question hint source Example
|
|
image |
All of 1 type
Question image Example
|
|
initial |
Type: string Initial value Example: |
|
placeholder |
Type: string Placeholder text for the question Example: |
|
quiz_items |
Type: QuestionQuizItemOut[] List of test answer options Example
|
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 11 types
List of validators Example
|
Example
{
"id": 0,
"label": "example",
"comment": "example",
"placeholder": "example",
"slug": "example",
"hidden": false,
"conditions": [
{
"id": 0,
"operator": "example",
"items": [
{
"operator": null,
"type": null,
"condition": null,
"question": "example",
"value": "example"
}
]
}
],
"image": {
"id": 0,
"links": {},
"name": "example",
"check_status": "check"
},
"type": "string",
"initial": "example",
"multiline": true,
"hint_source": {
"name": "example",
"params": [
{
"type": "example",
"value": "example"
}
]
},
"validators": [
{
"type": "required"
}
],
"has_quiz": true,
"quiz_items": [
{
"label": "example",
"correct": true,
"scores": 0.5
}
]
}
QuestionBooleanOut
|
Name |
Description |
|
id |
Type: integer Question ID |
|
label |
Type: string Question label Example: |
|
slug |
Type: string Question slug Example: |
|
comment |
Type: string Question hint Example: |
|
conditions |
Type: ConditionOut[] Conditions for the question Example
|
|
hidden |
Type: boolean Hidden question flag Default: |
|
image |
All of 1 type
Question image Example
|
|
initial |
Type: boolean Initial value |
|
placeholder |
Type: string Placeholder text for the question Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 2 types
List of validators Example
|
Example
{
"id": 0,
"label": "example",
"comment": "example",
"placeholder": "example",
"slug": "example",
"hidden": false,
"conditions": [
{
"id": 0,
"operator": "example",
"items": [
{
"operator": null,
"type": null,
"condition": null,
"question": "example",
"value": "example"
}
]
}
],
"image": {
"id": 0,
"links": {},
"name": "example",
"check_status": "check"
},
"type": "boolean",
"initial": true,
"validators": [
{
"type": "required"
}
]
}
QuestionIntegerOut
|
Name |
Description |
|
id |
Type: integer Question ID |
|
label |
Type: string Question label Example: |
|
slug |
Type: string Question slug Example: |
|
comment |
Type: string Question hint Example: |
|
conditions |
Type: ConditionOut[] Conditions for the question Example
|
|
hidden |
Type: boolean Hidden question flag Default: |
|
image |
All of 1 type
Question image Example
|
|
initial |
Type: integer Initial value |
|
placeholder |
Type: string Placeholder text for the question Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 4 types
List of validators Example
|
Example
{
"id": 0,
"label": "example",
"comment": "example",
"placeholder": "example",
"slug": "example",
"hidden": false,
"conditions": [
{
"id": 0,
"operator": "example",
"items": [
{
"operator": null,
"type": null,
"condition": null,
"question": "example",
"value": "example"
}
]
}
],
"image": {
"id": 0,
"links": {},
"name": "example",
"check_status": "check"
},
"type": "integer",
"initial": 0,
"validators": [
{
"type": "required"
}
]
}
QuestionFileOut
|
Name |
Description |
|
id |
Type: integer Question ID |
|
label |
Type: string Question label Example: |
|
slug |
Type: string Question slug Example: |
|
comment |
Type: string Question hint Example: |
|
conditions |
Type: ConditionOut[] Conditions for the question Example
|
|
hidden |
Type: boolean Hidden question flag Default: |
|
image |
All of 1 type
Question image Example
|
|
placeholder |
Type: string Placeholder text for the question Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 4 types
List of validators Example
|
Example
{
"id": 0,
"label": "example",
"comment": "example",
"placeholder": "example",
"slug": "example",
"hidden": false,
"conditions": [
{
"id": 0,
"operator": "example",
"items": [
{
"operator": null,
"type": null,
"condition": null,
"question": "example",
"value": "example"
}
]
}
],
"image": {
"id": 0,
"links": {},
"name": "example",
"check_status": "check"
},
"type": "file",
"validators": [
{
"type": "required"
}
]
}
QuestionCommentOut
|
Name |
Description |
|
header |
Type: boolean Header flag |
|
id |
Type: integer Question ID |
|
label |
Type: string Question label Example: |
|
slug |
Type: string Question slug Example: |
|
comment |
Type: string Question hint Example: |
|
conditions |
Type: ConditionOut[] Conditions for the question Example
|
|
hidden |
Type: boolean Hidden question flag Default: |
|
image |
All of 1 type
Question image Example
|
|
placeholder |
Type: string Placeholder text for the question Example: |
|
type |
Type: string Question type Default: Const: |
Example
{
"id": 0,
"label": "example",
"comment": "example",
"placeholder": "example",
"slug": "example",
"hidden": false,
"conditions": [
{
"id": 0,
"operator": "example",
"items": [
{
"operator": null,
"type": null,
"condition": null,
"question": "example",
"value": "example"
}
]
}
],
"image": {
"id": 0,
"links": {},
"name": "example",
"check_status": "check"
},
"type": "comment",
"header": true
}
QuestionDateOut
|
Name |
Description |
|
id |
Type: integer Question ID |
|
label |
Type: string Question label Example: |
|
slug |
Type: string Question slug Example: |
|
comment |
Type: string Question hint Example: |
|
conditions |
Type: ConditionOut[] Conditions for the question Example
|
|
hidden |
Type: boolean Hidden question flag Default: |
|
image |
All of 1 type
Question image Example
|
|
placeholder |
Type: string Placeholder text for the question Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 4 types
List of validators Example
|
Example
{
"id": 0,
"label": "example",
"comment": "example",
"placeholder": "example",
"slug": "example",
"hidden": false,
"conditions": [
{
"id": 0,
"operator": "example",
"items": [
{
"operator": null,
"type": null,
"condition": null,
"question": "example",
"value": "example"
}
]
}
],
"image": {
"id": 0,
"links": {},
"name": "example",
"check_status": "check"
},
"type": "date",
"validators": [
{
"type": "required"
}
]
}
QuestionDateRangeOut
|
Name |
Description |
|
id |
Type: integer Question ID |
|
label |
Type: string Question label Example: |
|
slug |
Type: string Question slug Example: |
|
comment |
Type: string Question hint Example: |
|
conditions |
Type: ConditionOut[] Conditions for the question Example
|
|
hidden |
Type: boolean Hidden question flag Default: |
|
image |
All of 1 type
Question image Example
|
|
placeholder |
Type: string Placeholder text for the question Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 4 types
List of validators Example
|
Example
{
"id": 0,
"label": "example",
"comment": "example",
"placeholder": "example",
"slug": "example",
"hidden": false,
"conditions": [
{
"id": 0,
"operator": "example",
"items": [
{
"operator": null,
"type": null,
"condition": null,
"question": "example",
"value": "example"
}
]
}
],
"image": {
"id": 0,
"links": {},
"name": "example",
"check_status": "check"
},
"type": "daterange",
"validators": [
{
"type": "required"
}
]
}
QuestionPaymentOut
|
Name |
Description |
|
account_id |
Type: string Wallet number for payment Example: |
|
fixed |
Type: boolean Allow changing the payment amount |
|
id |
Type: integer Question ID |
|
label |
Type: string Question label Example: |
|
slug |
Type: string Question slug Example: |
|
comment |
Type: string Question hint Example: |
|
conditions |
Type: ConditionOut[] Conditions for the question Example
|
|
hidden |
Type: boolean Hidden question flag Default: |
|
image |
All of 1 type
Question image Example
|
|
initial |
Type: integer Initial value |
|
placeholder |
Type: string Placeholder text for the question Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 3 types
List of validators Example
|
Example
{
"id": 0,
"label": "example",
"comment": "example",
"placeholder": "example",
"slug": "example",
"hidden": false,
"conditions": [
{
"id": 0,
"operator": "example",
"items": [
{
"operator": null,
"type": null,
"condition": null,
"question": "example",
"value": "example"
}
]
}
],
"image": {
"id": 0,
"links": {},
"name": "example",
"check_status": "check"
},
"type": "payment",
"fixed": true,
"account_id": "example",
"initial": 0,
"validators": [
{
"type": "required"
}
]
}
QuestionEnumOut
|
Name |
Description |
|
id |
Type: integer Question ID |
|
label |
Type: string Question label Example: |
|
slug |
Type: string Question slug Example: |
|
comment |
Type: string Question hint Example: |
|
conditions |
Type: ConditionOut[] Conditions for the question Example
|
|
has_quiz |
Type: boolean Test presence flag |
|
hidden |
Type: boolean Hidden question flag Default: |
|
image |
All of 1 type
Question image Example
|
|
initial |
Type: QuestionEnumItemIn[] Initial value Example
|
|
items |
Type: QuestionEnumItemIn[] List of items Example
|
|
modify_choices |
All of 1 type
Item sort type Example: `` |
|
placeholder |
Type: string Placeholder text for the question Example: |
|
show_first |
Type: boolean Whether to show the first value (for dropdown) |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 3 types
List of validators Example
|
|
widget |
All of 1 type
Question display type Default: |
Example
{
"id": 0,
"label": "example",
"comment": "example",
"placeholder": "example",
"slug": "example",
"hidden": false,
"conditions": [
{
"id": 0,
"operator": "example",
"items": [
{
"operator": null,
"type": null,
"condition": null,
"question": "example",
"value": "example"
}
]
}
],
"image": {
"id": 0,
"links": {},
"name": "example",
"check_status": "check"
},
"type": "enum",
"widget": "radio",
"items": [
{
"id": 0,
"slug": "example",
"label": "",
"hidden": true,
"image": {
"id": 0,
"links": {},
"name": "example"
},
"correct": true,
"scores": 0.5
}
],
"initial": [
null
],
"modify_choices": "",
"validators": [
{
"type": "required"
}
],
"show_first": true,
"has_quiz": true
}
QuestionSuggestOut
|
Name |
Description |
|
id |
Type: integer Question ID |
|
label |
Type: string Question label Example: |
|
multichoice |
Type: boolean Enable multiple choice |
|
slug |
Type: string Question slug Example: |
|
comment |
Type: string Question hint Example: |
|
conditions |
Type: ConditionOut[] Conditions for the question Example
|
|
data_source |
Type: QuestionDataSource Example
|
|
hidden |
Type: boolean Hidden question flag Default: |
|
image |
All of 1 type
Question image Example
|
|
placeholder |
Type: string Placeholder text for the question Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 2 types
List of validators Example
|
Example
{
"id": 0,
"label": "example",
"comment": "example",
"placeholder": "example",
"slug": "example",
"hidden": false,
"conditions": [
{
"id": 0,
"operator": "example",
"items": [
{
"operator": null,
"type": null,
"condition": null,
"question": "example",
"value": "example"
}
]
}
],
"image": {
"id": 0,
"links": {},
"name": "example",
"check_status": "check"
},
"type": "suggest",
"data_source": {
"name": "example",
"params": [
{
"type": "example",
"value": "example"
}
]
},
"multichoice": true,
"validators": [
{
"type": "required"
}
]
}
QuestionMatrixRowOut
|
Name |
Description |
|
id |
Type: integer Scale evaluation item ID |
|
label |
Type: string Scale evaluation item text Example: |
|
slug |
Type: string Scale evaluation item slug Example: |
Example
{
"id": 0,
"slug": "example",
"label": "example"
}
QuestionMatrixOut
|
Name |
Description |
|
columns |
Type: QuestionMatrixRowOut[] List of columns Example
|
|
id |
Type: integer Question ID |
|
label |
Type: string Question label Example: |
|
rows |
Type: QuestionMatrixRowOut[] List of rows Example
|
|
slug |
Type: string Question slug Example: |
|
comment |
Type: string Question hint Example: |
|
conditions |
Type: ConditionOut[] Conditions for the question Example
|
|
hidden |
Type: boolean Hidden question flag Default: |
|
image |
All of 1 type
Question image Example
|
|
placeholder |
Type: string Placeholder text for the question Example: |
|
type |
Type: string Question type Default: Const: |
|
validators |
Type: arrayAny of 2 types
List of validators Example
|
Example
{
"id": 0,
"label": "example",
"comment": "example",
"placeholder": "example",
"slug": "example",
"hidden": false,
"conditions": [
{
"id": 0,
"operator": "example",
"items": [
{
"operator": null,
"type": null,
"condition": null,
"question": "example",
"value": "example"
}
]
}
],
"image": {
"id": 0,
"links": {},
"name": "example",
"check_status": "check"
},
"type": "matrix",
"rows": [
{
"id": 0,
"slug": "example",
"label": "example"
}
],
"columns": [
null
],
"validators": [
{
"type": "required"
}
]
}
QuestionOut
Question data
Any of 11 types
-
QuestionStringOut
Type: QuestionStringOut
Example
{ "id": 0, "label": "example", "comment": "example", "placeholder": "example", "slug": "example", "hidden": false, "conditions": [ { "id": 0, "operator": "example", "items": [ { "operator": null, "type": null, "condition": null, "question": "example", "value": "example" } ] } ], "image": { "id": 0, "links": {}, "name": "example", "check_status": "check" }, "type": "string", "initial": "example", "multiline": true, "hint_source": { "name": "example", "params": [ { "type": "example", "value": "example" } ] }, "validators": [ { "type": "required" } ], "has_quiz": true, "quiz_items": [ { "label": "example", "correct": true, "scores": 0.5 } ] } -
QuestionBooleanOut
Type: QuestionBooleanOut
Example
{ "id": 0, "label": "example", "comment": "example", "placeholder": "example", "slug": "example", "hidden": false, "conditions": [ { "id": 0, "operator": "example", "items": [ { "operator": null, "type": null, "condition": null, "question": "example", "value": "example" } ] } ], "image": { "id": 0, "links": {}, "name": "example", "check_status": "check" }, "type": "boolean", "initial": true, "validators": [ { "type": "required" } ] } -
QuestionIntegerOut
Type: QuestionIntegerOut
Example
{ "id": 0, "label": "example", "comment": "example", "placeholder": "example", "slug": "example", "hidden": false, "conditions": [ { "id": 0, "operator": "example", "items": [ { "operator": null, "type": null, "condition": null, "question": "example", "value": "example" } ] } ], "image": { "id": 0, "links": {}, "name": "example", "check_status": "check" }, "type": "integer", "initial": 0, "validators": [ { "type": "required" } ] } -
QuestionFileOut
Type: QuestionFileOut
Example
{ "id": 0, "label": "example", "comment": "example", "placeholder": "example", "slug": "example", "hidden": false, "conditions": [ { "id": 0, "operator": "example", "items": [ { "operator": null, "type": null, "condition": null, "question": "example", "value": "example" } ] } ], "image": { "id": 0, "links": {}, "name": "example", "check_status": "check" }, "type": "file", "validators": [ { "type": "required" } ] } -
QuestionCommentOut
Type: QuestionCommentOut
Example
{ "id": 0, "label": "example", "comment": "example", "placeholder": "example", "slug": "example", "hidden": false, "conditions": [ { "id": 0, "operator": "example", "items": [ { "operator": null, "type": null, "condition": null, "question": "example", "value": "example" } ] } ], "image": { "id": 0, "links": {}, "name": "example", "check_status": "check" }, "type": "comment", "header": true } -
QuestionDateOut
Type: QuestionDateOut
Example
{ "id": 0, "label": "example", "comment": "example", "placeholder": "example", "slug": "example", "hidden": false, "conditions": [ { "id": 0, "operator": "example", "items": [ { "operator": null, "type": null, "condition": null, "question": "example", "value": "example" } ] } ], "image": { "id": 0, "links": {}, "name": "example", "check_status": "check" }, "type": "date", "validators": [ { "type": "required" } ] } -
QuestionDateRangeOut
Type: QuestionDateRangeOut
Example
{ "id": 0, "label": "example", "comment": "example", "placeholder": "example", "slug": "example", "hidden": false, "conditions": [ { "id": 0, "operator": "example", "items": [ { "operator": null, "type": null, "condition": null, "question": "example", "value": "example" } ] } ], "image": { "id": 0, "links": {}, "name": "example", "check_status": "check" }, "type": "daterange", "validators": [ { "type": "required" } ] } -
QuestionPaymentOut
Type: QuestionPaymentOut
Example
{ "id": 0, "label": "example", "comment": "example", "placeholder": "example", "slug": "example", "hidden": false, "conditions": [ { "id": 0, "operator": "example", "items": [ { "operator": null, "type": null, "condition": null, "question": "example", "value": "example" } ] } ], "image": { "id": 0, "links": {}, "name": "example", "check_status": "check" }, "type": "payment", "fixed": true, "account_id": "example", "initial": 0, "validators": [ { "type": "required" } ] } -
QuestionEnumOut
Type: QuestionEnumOut
Example
{ "id": 0, "label": "example", "comment": "example", "placeholder": "example", "slug": "example", "hidden": false, "conditions": [ { "id": 0, "operator": "example", "items": [ { "operator": null, "type": null, "condition": null, "question": "example", "value": "example" } ] } ], "image": { "id": 0, "links": {}, "name": "example", "check_status": "check" }, "type": "enum", "widget": "radio", "items": [ { "id": 0, "slug": "example", "label": "", "hidden": true, "image": { "id": 0, "links": {}, "name": "example" }, "correct": true, "scores": 0.5 } ], "initial": [ null ], "modify_choices": "", "validators": [ { "type": "required" } ], "show_first": true, "has_quiz": true } -
QuestionSuggestOut
Type: QuestionSuggestOut
Example
{ "id": 0, "label": "example", "comment": "example", "placeholder": "example", "slug": "example", "hidden": false, "conditions": [ { "id": 0, "operator": "example", "items": [ { "operator": null, "type": null, "condition": null, "question": "example", "value": "example" } ] } ], "image": { "id": 0, "links": {}, "name": "example", "check_status": "check" }, "type": "suggest", "data_source": { "name": "example", "params": [ { "type": "example", "value": "example" } ] }, "multichoice": true, "validators": [ { "type": "required" } ] } -
QuestionMatrixOut
Type: QuestionMatrixOut
Example
{ "id": 0, "label": "example", "comment": "example", "placeholder": "example", "slug": "example", "hidden": false, "conditions": [ { "id": 0, "operator": "example", "items": [ { "operator": null, "type": null, "condition": null, "question": "example", "value": "example" } ] } ], "image": { "id": 0, "links": {}, "name": "example", "check_status": "check" }, "type": "matrix", "rows": [ { "id": 0, "slug": "example", "label": "example" } ], "columns": [ null ], "validators": [ { "type": "required" } ] }
Example
{
"id": 0,
"label": "example",
"comment": "example",
"placeholder": "example",
"slug": "example",
"hidden": false,
"conditions": [
{
"id": 0,
"operator": "example",
"items": [
{}
]
}
],
"image": {
"id": 0,
"links": {},
"name": "example",
"check_status": "check"
},
"type": "string",
"initial": "example",
"multiline": true,
"hint_source": {
"name": "example",
"params": [
{}
]
},
"validators": [
{
"type": "required"
}
],
"has_quiz": true,
"quiz_items": [
{
"label": "example",
"correct": true,
"scores": 0.5
}
]
}
QuestionSeriesOut
|
Name |
Description |
|
id |
Type: integer Question ID |
|
items |
Type: QuestionOut[] List of questions in the series Example
|
|
label |
Type: string Question label Example: |
|
slug |
Type: string Question slug Example: |
|
comment |
Type: string Question hint Example: |
|
conditions |
Type: ConditionOut[] Conditions for the question Example
|
|
hidden |
Type: boolean Hidden question flag Default: |
|
image |
All of 1 type
Question image Example
|
|
placeholder |
Type: string Placeholder text for the question Example: |
|
type |
Type: string Question type Default: Const: |
Example
{
"id": 0,
"label": "example",
"comment": "example",
"placeholder": "example",
"slug": "example",
"hidden": false,
"conditions": [
{
"id": 0,
"operator": "example",
"items": [
{
"operator": null,
"type": null,
"condition": null,
"question": "example",
"value": "example"
}
]
}
],
"image": {
"id": 0,
"links": {},
"name": "example",
"check_status": "check"
},
"type": "series",
"items": [
{
"id": 0,
"label": "example",
"comment": "example",
"placeholder": "example",
"slug": "example",
"hidden": false,
"conditions": [
null
],
"image": null,
"type": "string",
"initial": "example",
"multiline": true,
"hint_source": null,
"validators": [
null
],
"has_quiz": true,
"quiz_items": [
{}
]
}
]
}